Subject: Re: [PATCH RESEND 0/8] use platform_{get,set}_drvdata()

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 14 Aug 2013 22:56:35 +0400

On 08/14/2013 07:36 AM, Libo Chen wrote:

> We can use the wrapper functions platform_{get,set}_drvdata() instead of
> dev_{get,set}_drvdata() with &pdev->dev, it is convenient for user.
>
> Also, unnecessary dev_set_drvdata() is removed, because the driver core
> clears the driver data to NULL after device_release or on probe failure.

    Saying "also" in the changelog is usually a good sign that the patch 
should be split.

WBR, Sergei